VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target:

## Avaliable Methods
public method | set_port ()
public method | set_type ()
public method | get_port ()
public method | get_user ()
public method | get_sec_level ()
public method | set_sec_level ()
public method | set_ip ()
public method | new ()
public method | get_type ()
public method | set_user ()
public method | get_ip ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target` class Structure that defines an SNMP v3 inform or trap target.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::get_ip | ( |  | ) |

Gets the value of 'ip' property.

Return values

  ip | - The current value of the field. SNMP target ip String#

Code:
click to view
# Number of lines of code in get_ip: 4
sub get_ip {
my ($self, %args) = @_;
return $self->{'ip'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::get_port | ( |  | ) |

Gets the value of 'port' property.

Return values

  port | - The current value of the field. SNMP target port long#

Code:
click to view
# Number of lines of code in get_port: 4
sub get_port {
my ($self, %args) = @_;
return $self->{'port'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::get_sec_level | ( |  | ) |

Gets the value of 'sec_level' property.

Return values

  sec_level | - The current value of the field. SNMP security level SNMPSecLevel#

Code:
click to view
# Number of lines of code in get_sec_level: 4
sub get_sec_level {
my ($self, %args) = @_;
return $self->{'sec_level'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. SNMP target type SNMPv3Notfication#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::get_user | ( |  | ) |

Gets the value of 'user' property.

Return values

  user | - The current value of the field. SNMP User String#

Code:
click to view
# Number of lines of code in get_user: 4
sub get_user {
my ($self, %args) = @_;
return $self->{'user'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{sec_level} = $args{'sec_level'};
$self->{ip} = $args{'ip'};
$self->{port} = $args{'port'};
$self->{user} = $args{'user'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNM_pv3_target');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPv3Notfication'));
$self->set_binding_field('key' => 'sec_level', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Monitoring', 'type_name' => 'Snmp::SNMPSecLevel'));
$self->set_binding_field('key' => 'ip', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'port', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'user', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::set_ip | ( |  | ) |

Sets the given value for 'ip' property.

Parameters

  ip | - New value for the field. SNMP target ip

Code:
click to view
# Number of lines of code in set_ip: 5
sub set_ip {
my ($self, %args) = @_;
$self->{'ip'} = $args{'ip'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::set_port | ( |  | ) |

Sets the given value for 'port' property.

Parameters

  port | - New value for the field. SNMP target port

Code:
click to view
# Number of lines of code in set_port: 5
sub set_port {
my ($self, %args) = @_;
$self->{'port'} = $args{'port'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::set_sec_level | ( |  | ) |

Sets the given value for 'sec_level' property.

Parameters

  sec_level | - New value for the field. SNMP security level

Code:
click to view
# Number of lines of code in set_sec_level: 5
sub set_sec_level {
my ($self, %args) = @_;
$self->{'sec_level'} = $args{'sec_level'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. SNMP target type

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPv3Target::set_user | ( |  | ) |

Sets the given value for 'user' property.

Parameters

  user | - New value for the field. SNMP User

Code:
click to view
# Number of lines of code in set_user: 5
sub set_user {
my ($self, %args) = @_;
$self->{'user'} = $args{'user'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm